import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Skaiciuotuvas extends JFrame implements ActionListener
{
      private JTextField inputOutputField;
      private String action = "blank";
      private double value1 = 0;
      private double value2 = 0;

    public static void main(String[] args)
    {
        Skaiciuotuvas calc = new Skaiciuotuvas();
        calc.setVisible(true);
        calc.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    public Skaiciuotuvas()
    {
        setSize (180, 300);
        setTitle("Skaiciuotuvas"); 
        Container contentPane = getContentPane();
        contentPane.setBackground(Color.gray);
        contentPane.setLayout(new FlowLayout());
        JPanel textPanel = new JPanel(); 
        textPanel.setBackground(Color.lightGray); 
        textPanel.setLayout(new FlowLayout()); 
        inputOutputField = new JTextField("", 10);
       inputOutputField.setBackground(Color.white);
       textPanel.add(inputOutputField);
       contentPane.add(textPanel, BorderLayout.CENTER);

        JButton buttonSeven = new JButton("7");
        buttonSeven.addActionListener(this);
        contentPane.add(buttonSeven);
        
        JButton buttonEight = new JButton("8");
        buttonEight.addActionListener(this);
        contentPane.add(buttonEight);

        JButton buttonNine = new JButton("9");
        buttonNine.addActionListener(this);
        contentPane.add(buttonNine);

        JButton buttonFour = new JButton("4");
        buttonFour.addActionListener(this);
        contentPane.add(buttonFour);
        
        JButton buttonFive = new JButton("5");
        buttonFive.addActionListener(this);
        contentPane.add(buttonFive);
        
        JButton buttonSix = new JButton("6");
        buttonSix.addActionListener(this);
        contentPane.add(buttonSix);
        
        JButton buttonOne = new JButton("1");
        buttonOne.addActionListener(this);
        contentPane.add(buttonOne);  
        
        JButton buttonTwo = new JButton("2");
        buttonTwo.addActionListener(this);
        contentPane.add(buttonTwo);      
        
        JButton buttonThree = new JButton("3");
        buttonThree.addActionListener(this);
        contentPane.add(buttonThree);

        JButton buttonClear = new JButton("C");
        buttonClear.addActionListener(this);
        buttonClear.setBackground(Color.red);  
        contentPane.add(buttonClear);
        
        JButton buttonZero = new JButton("0");
        buttonZero.addActionListener(this);
        contentPane.add(buttonZero);

        JButton buttonEqu = new JButton("=");
        buttonEqu.addActionListener(this);
        buttonEqu.setBackground(Color.cyan);
        contentPane.add(buttonEqu);      
 
        JButton buttonAdd = new JButton("+");
        buttonAdd.addActionListener(this);
        contentPane.add(buttonAdd);
        
        JButton buttonSub = new JButton("-");
        buttonSub.addActionListener(this);
        contentPane.add(buttonSub);
        
        JButton buttonMult = new JButton("*");
        buttonMult.addActionListener(this);
        contentPane.add(buttonMult);
        
        JButton buttonDiv = new JButton("/");
        buttonDiv.addActionListener(this);
        contentPane.add(buttonDiv);
       
    }

    public void actionPerformed(ActionEvent e) 
    {
       String currentText = inputOutputField.getText();

       Container contentPane = getContentPane();

            if(e.getActionCommand().equals("="))
            {
                  value2 = Double.parseDouble(currentText);
                  inputOutputField.setText("");      
                  
                  if(action.equals("add"))
                  {
                        action = "blank";
                        inputOutputField.setText(value1 + value2 + "");
                  }
                  else if(action.equals("sub"))
                  {
                        action = "blank";
                        inputOutputField.setText(value1 - value2 + "");
                  }
                  else if(action.equals("mult"))
                  {
                        action = "blank";
                        inputOutputField.setText(value1 * value2 + "");
                  }
                  else if(action.equals("div"))
                  {
                        action = "blank";
                        inputOutputField.setText(value1 / value2 + "");
                  }
                  
                  
                  else 
                  {
                        if(currentText.length() > 0)
                        inputOutputField.setText(currentText);
                        else 
                        inputOutputField.setText("");
                  }
                  
            }

            else if(e.getActionCommand().equals("+"))
            {
                  action = "add"; 
                  value1 = Double.parseDouble(currentText);
                  inputOutputField.setText("");      
            }
            else if(e.getActionCommand().equals("-"))
            {
                  action = "sub"; 
                  value1 = Double.parseDouble(currentText);
                  inputOutputField.setText("");      
            }
            else if(e.getActionCommand().equals("*"))
            {
                  action = "mult";
                  value1 = Double.parseDouble(currentText); 
                  inputOutputField.setText("");      
            }
            else if(e.getActionCommand().equals("/"))
            {
                  action = "div";
                  value1 = Double.parseDouble(currentText); 
                  inputOutputField.setText("");      
            }
            else if(e.getActionCommand().equals("C"))
            {
                  inputOutputField.setText("");      
            }      
          else
             inputOutputField.setText(currentText+=e.getActionCommand());
       
    }
    
}